/**********************************************************************
ID: maxcrossposts.c

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/

#include "maxcrossposts.h"

#if MAX_CROSSPOSTS
static int maxnum=0;

int maxcrosspost(char *newsgroups) {

    int count=1;
    char *lastcomma;

#if TESTOUTPUT
    FILE *loghandle;
#endif

    if(maxnum<1) maxnum=getmaxcrossposts();
    
    if(newsgroups!=NULL) {
        lastcomma=newsgroups;
        while((lastcomma=strchr(lastcomma+1, ','))!=NULL) count++;
    } else {
        cflog("maxcrosspost: Article had null 'newsgroups'.");
        return 0;
    }

#if TESTOUTPUT
    loghandle=getloghandle();
    fprintf(loghandle, "Article is in %d newsgroup(s).\n", count);
    fflush(loghandle);
#endif

    if(count>maxnum) return 1;
    
    return 0;

}
#endif /* MAX_CROSSPOSTS */